Package org.snpsift.lang.expression

# Class FieldLof

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.Field
org.snpsift.lang.expression.FieldSub
org.snpsift.lang.expression.FieldLof

Direct Known Subclasses:
  `FieldNmd`

public class FieldLof extends FieldSub
A LOF field form SnpEff: E.g.: 'LOF[2].GENE'

Author:
  pablocingolani

## Field Summary

### Fields inherited from class org.snpsift.lang.expression.Field

`exceptionIfNotFound, name, number, returnType, TYPE_ALL, TYPE_ANY, vcfInfo, vcfInfoNumber`

### Fields inherited from class org.snpsift.lang.expression.Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`FieldLof(String name, Expression indexExpr)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFieldString(org.snpeff.vcf.VcfEntry vcfEntry)`
Get a field from VcfEntry
`String`
`getName()`
`org.snpeff.vcf.VcfInfoType`
`getReturnType(org.snpeff.vcf.VcfEntry vcfEntry)`
`protected void`
`init()`
`String`
`toString()`

### Methods inherited from class org.snpsift.lang.expression.FieldSub

`evalIndex, evalIndex, evalIndex, evalIndex, getFieldString, isSub`

### Methods inherited from class org.snpsift.lang.expression.Field

`eval, eval, fieldHeaderNotFound, fieldNotFound, getReturnType, getSampleNum, gtFieldNotFound, indexStr, isSampleName, returnType, returnType, setExceptionIfNotFound`

### Methods inherited from class org.snpsift.lang.expression.Expression

`setNegated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FieldLof

public FieldLof(String name, Expression indexExpr)

## Method Details

### getFieldString

public String getFieldString(org.snpeff.vcf.VcfEntry vcfEntry)
Get a field from VcfEntry

Overrides:
  `getFieldString` in class `FieldSub`

### getName

public String getName()

Overrides:
  `getName` in class `Field`

### getReturnType

public org.snpeff.vcf.VcfInfoType getReturnType(org.snpeff.vcf.VcfEntry vcfEntry)

### init

protected void init()

### toString

public String toString()

Overrides:
  `toString` in class `FieldSub`